Show / Hide Table of Contents

# Class OpenIddictServerOwinHandlers.Session.CacheRequestParameters

Contains the logic responsible of caching logout requests, if applicable. Note: this handler is not used when the OpenID Connect request is not initially handled by OWIN.

##### Inheritance

System.Object
OpenIddictServerOwinHandlers.Session.CacheRequestParameters

##### Implements

IOpenIddictServerHandler<ExtractLogoutRequestContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server.Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class CacheRequestParameters : IOpenIddictServerHandler<ExtractLogoutRequestContext>

### Constructors

#### CacheRequestParameters()

##### Declaration

    public CacheRequestParameters()

#### CacheRequestParameters(IDistributedCache, IOptionsMonitor<OpenIddictServerOwinOptions>)

##### Declaration

    public CacheRequestParameters(IDistributedCache cache, IOptionsMonitor<OpenIddictServerOwinOptions> options)

##### Parameters

Type | Name | Description
--- | --- | ---
IDistributedCache | cache |
IOptionsMonitor<OpenIddictServerOwinOptions> | options |

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(ExtractLogoutRequestContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ExtractLogoutRequestContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ExtractLogoutRequestContext | context |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.ValueTask | A System.Threading.Tasks.ValueTask that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>